Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard
Class StandardModuleType

    java.lang.Object
      ru.biosoft.access.DataElementSupport
          biouml.standard.StandardModuleType

All Implemented Interfaces:
  DataElement, ModuleType

Direct Known Subclasses:
  SqlModuleType

public class StandardModuleType
extends DataElementSupport
implements ModuleType

Definition of standard BioUML module. The module defines:

- standard BioUML data types
- mapping of standard BioUML data types into database.
  Just now we are using flat files with tag fields.
- standard DiagramViewBuilders and SemanticControllers.

Field Summary
`protected java.util.HashMap` | `types` Hashmap to optimise mapping of data type into category.
`static java.lang.String` | `VERSION`

Constructor Summary
`` | `StandardModuleType()`
`protected` | `StandardModuleType(java.lang.String name)` Constructor for derived classes.

Method Summary
`boolean` | `canCreateEmptyModule()` Indicates whether an empty module with initialised internal structure can be created
`protected void` | `createDataCollection(java.lang.String name, LocalRepository parent, java.lang.Class dataElementType)`
`protected void` | `createDataCollection(java.lang.String name, LocalRepository parent, java.lang.Class dataElementType, java.lang.Class transformerClass)`
`Module` | `createModule(Repository parent, java.lang.String name)` Creates empty module with initialised internal structure.
`java.lang.String` | `getCategory(java.lang.Class c)` The category is used to group diagram elements by folders in BioUML `Module`.
`java.lang.Class[]` | `getDiagramTypes()`
`QueryEngine` | `getQueryEngine()`
`java.lang.String` | `getVersion()`
`protected void` | `initCategories()`
`boolean` | `isCategorySupported()`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Field Detail

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### types

    protected java.util.HashMap types

  Hashmap to optimise mapping of data type into category.

Constructor Detail

### StandardModuleType

    protected StandardModuleType(java.lang.String name)

  Constructor for derived classes.

### StandardModuleType

    public StandardModuleType()

Method Detail

### initCategories

    protected void initCategories()

### getDiagramTypes

    public java.lang.Class[] getDiagramTypes()

  Specified by:
    `getDiagramTypes` in interface `ModuleType`

### isCategorySupported

    public boolean isCategorySupported()

  Specified by:
    `isCategorySupported` in interface `ModuleType`

### getCategory

    public java.lang.String getCategory(java.lang.Class c)

  Description copied from interface: `ModuleType`
  The category is used to group diagram elements by folders in BioUML `Module`.

  Specified by:
    `getCategory` in interface `ModuleType`

### createModule

    public Module createModule(Repository parent,
                               java.lang.String name)
                        throws java.lang.Exception

  Description copied from interface: `ModuleType`
  Creates empty module with initialised internal structure.

  Specified by:
    `createModule` in interface `ModuleType`
  Throws:
    `java.lang.Exception`

### createDataCollection

    protected void createDataCollection(java.lang.String name,
                                        LocalRepository parent,
                                        java.lang.Class dataElementType)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createDataCollection

    protected void createDataCollection(java.lang.String name,
                                        LocalRepository parent,
                                        java.lang.Class dataElementType,
                                        java.lang.Class transformerClass)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getQueryEngine

    public QueryEngine getQueryEngine()

  Specified by:
    `getQueryEngine` in interface `ModuleType`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `ModuleType`

### canCreateEmptyModule

    public boolean canCreateEmptyModule()

  Description copied from interface: `ModuleType`
  Indicates whether an empty module with initialised internal structure can be created

  Specified by:
    `canCreateEmptyModule` in interface `ModuleType`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.